Package org.jboss.resteasy.links.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.links.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:06-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.links.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cannotGuessCollectionType()` |
    `protected String` | `cannotGuessCollectionType$str()` |
    `String` | `cannotGuessResourceType()` |
    `protected String` | `cannotGuessResourceType$str()` |
    `String` | `cannotGuessType()` |
    `protected String` | `cannotGuessType$str()` |
    `String` | `couldNotInstantiateELProviderClass​(String className)` |
    `protected String` | `couldNotInstantiateELProviderClass$str()` |
    `String` | `discoveryFailedForMethod​(String className, String methodName, String s)` |
    `protected String` | `discoveryFailedForMethod$str()` |
    `String` | `failedToEvaluateELExpression​(String expression)` |
    `protected String` | `failedToEvaluateELExpression$str()` |
    `String` | `failedToFindBeanProperty​(String property)` |
    `protected String` | `failedToFindBeanProperty$str()` |
    `String` | `failedToInjectLinks​(Object entity)` |
    `protected String` | `failedToInjectLinks$str()` |
    `String` | `failedToInstantiateELProvider​(String className)` |
    `protected String` | `failedToInstantiateELProvider$str()` |
    `String` | `failedToReadField​(String field)` |
    `protected String` | `failedToReadField$str()` |
    `String` | `failedToReadProperty​(String property)` |
    `protected String` | `failedToReadProperty$str()` |
    `String` | `failedToReadPropertyFromMethod​(String property)` |
    `protected String` | `failedToReadPropertyFromMethod$str()` |
    `String` | `failedToReuseServiceDiscovery​(Object entity)` |
    `protected String` | `failedToReuseServiceDiscovery$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `notEnoughtUriParameters​(int expected, int actual)` |
    `protected String` | `notEnoughtUriParameters$str()` |
    `protected Object` | `readResolve()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### cannotGuessCollectionType$str

          protected String cannotGuessCollectionType$str()

    - #### cannotGuessCollectionType

          public final String cannotGuessCollectionType()

      Specified by:
        `cannotGuessCollectionType` in interface `Messages`

    - #### cannotGuessResourceType$str

          protected String cannotGuessResourceType$str()

    - #### cannotGuessResourceType

          public final String cannotGuessResourceType()

      Specified by:
        `cannotGuessResourceType` in interface `Messages`

    - #### cannotGuessType$str

          protected String cannotGuessType$str()

    - #### cannotGuessType

          public final String cannotGuessType()

      Specified by:
        `cannotGuessType` in interface `Messages`

    - #### couldNotInstantiateELProviderClass$str

          protected String couldNotInstantiateELProviderClass$str()

    - #### couldNotInstantiateELProviderClass

          public final String couldNotInstantiateELProviderClass​(String className)

      Specified by:
        `couldNotInstantiateELProviderClass` in interface `Messages`

    - #### discoveryFailedForMethod$str

          protected String discoveryFailedForMethod$str()

    - #### discoveryFailedForMethod

          public final String discoveryFailedForMethod​(String className,
                                                       String methodName,
                                                       String s)

      Specified by:
        `discoveryFailedForMethod` in interface `Messages`

    - #### failedToEvaluateELExpression$str

          protected String failedToEvaluateELExpression$str()

    - #### failedToEvaluateELExpression

          public final String failedToEvaluateELExpression​(String expression)

      Specified by:
        `failedToEvaluateELExpression` in interface `Messages`

    - #### failedToFindBeanProperty$str

          protected String failedToFindBeanProperty$str()

    - #### failedToFindBeanProperty

          public final String failedToFindBeanProperty​(String property)

      Specified by:
        `failedToFindBeanProperty` in interface `Messages`

    - #### failedToInjectLinks$str

          protected String failedToInjectLinks$str()

    - #### failedToInjectLinks

          public final String failedToInjectLinks​(Object entity)

      Specified by:
        `failedToInjectLinks` in interface `Messages`

    - #### failedToInstantiateELProvider$str

          protected String failedToInstantiateELProvider$str()

    - #### failedToInstantiateELProvider

          public final String failedToInstantiateELProvider​(String className)

      Specified by:
        `failedToInstantiateELProvider` in interface `Messages`

    - #### failedToReadField$str

          protected String failedToReadField$str()

    - #### failedToReadField

          public final String failedToReadField​(String field)

      Specified by:
        `failedToReadField` in interface `Messages`

    - #### failedToReadProperty$str

          protected String failedToReadProperty$str()

    - #### failedToReadProperty

          public final String failedToReadProperty​(String property)

      Specified by:
        `failedToReadProperty` in interface `Messages`

    - #### failedToReadPropertyFromMethod$str

          protected String failedToReadPropertyFromMethod$str()

    - #### failedToReadPropertyFromMethod

          public final String failedToReadPropertyFromMethod​(String property)

      Specified by:
        `failedToReadPropertyFromMethod` in interface `Messages`

    - #### notEnoughtUriParameters$str

          protected String notEnoughtUriParameters$str()

    - #### notEnoughtUriParameters

          public final String notEnoughtUriParameters​(int expected,
                                                      int actual)

      Specified by:
        `notEnoughtUriParameters` in interface `Messages`

    - #### failedToReuseServiceDiscovery$str

          protected String failedToReuseServiceDiscovery$str()

    - #### failedToReuseServiceDiscovery

          public final String failedToReuseServiceDiscovery​(Object entity)

      Specified by:
        `failedToReuseServiceDiscovery` in interface `Messages`